This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 251825 - Review Request: maniadrive-data - Data files for maniadrive, a 3D stunt driving game
Review Request: maniadrive-data - Data files for maniadrive, a 3D stunt drivi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Chapman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 19:21 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-03 15:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
packages: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-08-11 19:21:26 EDT
Spec URL: http://people.atrpms.net/~hdegoede/maniadrive-data.spec
SRPM URL: http://people.atrpms.net/~hdegoede/maniadrive-data-1.2-1.fc8.src.rpm
Description:
Data files for maniadrive, a 3D stunt driving game. Notice this package does
not include the original ManiaDrive soundtrack as the original soundtrack is
licensed under a CC BY-NC-SA license, which is not acceptable to Fedora.

---

maniadrive's review is bug 251824
Comment 1 Ian Chapman 2007-08-28 15:41:14 EDT
* rpmlint: Ok

W: maniadrive-data dangling-relative-symlink /usr/share/maniadrive/rayphp
../raydium/rayphp
The relative symbolic link points nowhere.

I believe this is OK and points to a file in the main maniadrive package but
will check when I review that also.

* Package named correctly: Yes
* Patches named correctly: Yes
* Spec file named correctly: Yes
* Licence(s) acceptable: Yes
* Licence field matches: No (!!!!) see below
* Licence file installed: Yes and included upstream
* Spec file in American English: Yes
* Source matches upstream: N/A (upstream sources are repackaged by necessity)
* Locales use %find_lang: N/A
* Contains %clean: Yes
* %install contain rm -rf %{buildroot} or similar: Yes
* Specfile legible: Yes
* Compiles and builds ok: Yes (mock devel/i386)
* Calls ldconfig in %post/%postun for shlibs: N/A
* Owns directories it creates: Yes
* Duplicate files: No
* Permissions set correctly: Yes
* Consistent macro use: Yes
* Separate -doc needed (for large docs): N/A
* %doc affects runtime: No
* Headers and static libs in -devel: N/A
* .pc files in -devel: N/A
* .so in -devel: N/A
* -devel requires base: N/A
* Contains .la files: N/A
* Owns files it didn't create: No
* .desktop files included and installed correctly: N/A
* Filenames valid UTF8: Yes


1. The license field says GPLv2+, but I believe it should be GPL+

The README states GPL and the version (as I understand it) stated in COPYING is
not sufficient. Unless the GPL version is specified in the source or
accompanying documentation then it is GPL+, I couldn't find a reference to that
specific version but if there is one, let me know.


2. Not a blocker but I suggest converting README from iso-8859-1 to UTF8.


Otherwise the package seems fine.
Comment 2 Hans de Goede 2007-09-01 08:41:55 EDT
(In reply to comment #1)
> 1. The license field says GPLv2+, but I believe it should be GPL+
> 
> 
> 2. Not a blocker but I suggest converting README from iso-8859-1 to UTF8.
> 
> 

Both fixed:
Spec URL: http://people.atrpms.net/~hdegoede/maniadrive-data.spec
SRPM URL: http://people.atrpms.net/~hdegoede/maniadrive-data-1.2-2.fc8.src.rpm
Comment 3 Ian Chapman 2007-09-02 12:10:30 EDT
Looks good, package is APPROVED.
Comment 4 Hans de Goede 2007-09-02 13:11:35 EDT
New Package CVS Request
=======================
Package Name:      maniadrive-data
Short Description: Data files for maniadrive, a 3D stunt driving game
Owners:            jwrdegoede
Branches:          devel only!
InitialCC:         <empty>
Cvsextras Commits: yes

Yes, really devel only, this depends on other packages only in rawhide.
Comment 5 Kevin Fenzi 2007-09-03 14:26:03 EDT
cvs done.
Comment 6 Hans de Goede 2007-09-03 15:34:59 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.